Loading...
Searching...
No Matches
libdar::crit_same_inode_data Class Reference
API

returns true if both inputs are inode of the same type (file/pipe/device/...) and share inode information More...

`#include <criterium.hpp>`

Inherits libdar::criterium.

## Public Member Functions

| crit_same_inode_data (const crit_same_inode_data &ref)=default
| crit_same_inode_data (crit_same_inode_data &&ref) noexcept=default
crit_same_inode_data & | operator= (const crit_same_inode_data &ref)=default
crit_same_inode_data & | operator= (crit_same_inode_data &&ref) noexcept=default
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const override
| criterum interface method
virtual criterium * | clone () const override
| clone construction method
Public Member Functions inherited from libdar::criterium
| criterium (const criterium &ref)=default
| criterium (criterium &&ref) noexcept=default
criterium & | operator= (const criterium &ref)=default
criterium & | operator= (criterium &&ref) noexcept=default

## Detailed Description

returns true if both inputs are inode of the same type (file/pipe/device/...) and share inode information

inode information taken into account is . the permission, . ownership . modification date . file size (for plain files or hard linked files) . major and minor (for block and char devices) . target (for symlinks)

But no comparison is done on atime and mtime.

Definition at line 334 of file criterium.hpp.

## Constructor & Destructor Documentation

## crit_same_inode_data()

libdar::crit_same_inode_data::crit_same_inode_data | ( |  | ) |

inline

Definition at line 337 of file criterium.hpp.

## Member Function Documentation

## clone()

virtual criterium * libdar::crit_same_inode_data::clone | ( |  | ) | const

inlineoverridevirtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class hierarchy rooted at the criterium class

Implements libdar::criterium.

Definition at line 345 of file criterium.hpp.

## evaluate()

virtual bool libdar::crit_same_inode_data::evaluate | ( | const cat_nomme & | first,
|  | const cat_nomme & | second ) const

overridevirtual

criterum interface method

Parameters

  [in] | first | entry to compare with the following (this is the original or 'in place' entry)
  [in] | second | the other entry to compare with the previous one (this is the new entry to add)

Returns
  the result of the criterium evaluation (true or false)

Implements libdar::criterium.

The documentation for this class was generated from the following file:

- criterium.hpp